local mod = ...



-- Default Balancing (event list) ---------------------------------------------------------------------------------------------

mod:override({
    Id = "DEFAULT_BALANCING",
    EventList = {
        Action = "APPEND",
        "EVENT_PLAGUE_START",
    }
})



-- Event: Start ---------------------------------------------------------------------------------------------

mod:registerAssetId("textures/Plague.png", "TEXTURE_PLAGUE_PLAGUE")

mod:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_PLAGUE_PLAGUE",
	HasAlphaTest = false,
	AlbedoTexture = "TEXTURE_PLAGUE_PLAGUE"
})

mod:register({
	DataType = "EVENT",
    Id = "EVENT_PLAGUE_START",
    IsInMainPool = false, -- the main pool seems to suppress itself until the first Weather event fires, so custom events should be outside the main pool
    IsRecurrent = false,
    DaysBetweenOccurences = nil,
    DaysToFirst = 1,
    Delay = 10, 
	ConditionList = {
		{
            DataType = "GAME_CONDITION_VILLAGER_STATUS_REACHED",
            AssetVillagerStatus = "NEWCOMER",
            NumberRequired = 50
		}
	},
	ActionList = {
        {
            DataType = "ACTION_SHOW_NARRATIVE_PANEL",
            NarrativePanelData = {
                DataType = "DATA_NARRATIVE_PANEL",
                Title = "EVENT_PLAGUE_START_TITLE",
                Description = "EVENT_PLAGUE_START_DESC",
                PanelVisual = "TEXTURE_PLAGUE_PLAGUE"
            },
            ChoiceList = {
                {
                    DataType = "EVENT_CHOICE",
                    ShortName = "EVENT_PLAGUE_OK",
                    EventActionList = {
                        {
                            DataType = "EVENT_ACTION_IGNORE"
                        },
                    },
                    OnClickCallbackList = nil
                }
            },
            OnClickCallback = nil
        }
    }
})

